post
https://api.sandbox.evrotrust.com/vendor/document/doc/offline/refid
/document/doc/offline/refid
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
User needs to pass successful onetime identification via Web SDK. Then use the generated refID in this request.
After sending below request, user receives SMS with code and should be able to enter it on your interface.
Valid values:
| Parameter | Value |
|---|---|
| "referenceID" | Generated as a result of onetime identification process via Web SDK. Linked to user and identification. |
| "user" | "documentNumber": required "firstName": required, "[A-Za-z' -]" "lastName": required, "[A-Za-z' -]" "phone": "+[0-9]" "email": optional, if provided the certificate and signed documents will be sent to it. "language": optional parameter. Valid values are "bg", "en", "de", "hu", "sq", "ro", "fr", "it", "mk". If not provided default is "bg". |
| "document" "description" | max chars 4000 |
| "certificateType" | "integer" valid values 1 - Qualified еSign (qualified certificate); 2 - Advanced еSign (qualified certificate); 3 - Advanced eSign (advanced certificate); |
| "coverage" | For "certificateType"=1 valid values are: 0, 20000, 100000, 250000. For "certificateType"=2 valid value is 500 The amount is in €. 0 stands for unlimited. |
| "annotationParameters": Optional. If used can appear up to 4 times. | "annotationText": mandatory, up to 255 symbols "fontName": mandatory "fontSize": mandatory. Must be a whole digit between 3 and 72 "fontColor": mandatory. Must be in CSS hex notation between “#000000” and “#ffffff” (“#000000” for black) "axisX": mandatory, integer. - Must be between 0 and 596 (for A4) or 612 (for Letter) "asixY": mandatory, integer. Must be between 0 and 843 (for A4) or 792 (for Letter) "page": mandatory, integer. “0” for all pages, 1 … to specify the exact page number |
| "signInfo" "algorithm" | "SHA256" |
| "signInfo" | "type": "PDF1" (PDF Baseline), "PDF2" (PDF Baseline + Long Term), "PDF3" (PDF Baseline + Timestamp), "XML1" (XML Baseline), "XML2" (XML Baseline + Long Term), "XML3" (XML Baseline), "XML4" (XML Baseline + Long Term), "CAD1" (Sign any file type), "CAD2" (Sign any file type with timestamp) |
| "checksumDocument" | SHA-512 of the file |
| "publicKey" | base64 encoded string of public key, necessary for encryption process |
| "urlCallback" | Optional parameter. Only https:// is allowed. It has to be sent a host name if Evrotrust callback API is used. |
| vendorNumber | "string" |
